org.aspectj.lang.reflect

## Interface DeclareSoft

All Known Implementing Classes:
  DeclareSoftImpl

    public interface DeclareSoft

AspectJ runtime representation of a declare soft member within an aspect.

### Method Summary

All Methods Instance Methods Abstract Methods
`AjType` `getDeclaringType()`
`PointcutExpression` `getPointcutExpression()`
`AjType` `getSoftenedExceptionType()`

### Method Detail

#### getDeclaringType

    AjType getDeclaringType()

Returns:
  the aspect that declared this member

#### getSoftenedExceptionType

    AjType getSoftenedExceptionType()
                             throws ClassNotFoundException

Returns:
  the softened exception type
Throws:
  `ClassNotFoundException` - if exception type cannot be found

#### getPointcutExpression

    PointcutExpression getPointcutExpression()

Returns:
  the pointcut determining the join points at which the exception is to be softened.